commit:     32d9af62ee97eb977b752b5f507a6cda897de5a2
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  2 10:08:20 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jan  2 10:27:50 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32d9af62

media-libs/flac: Bump to version 1.3.2

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 media-libs/flac/Manifest                           |  1 +
 media-libs/flac/files/flac-1.3.2-asneeded.patch    | 21 ++++++
 media-libs/flac/files/flac-1.3.2-cflags.patch      | 26 ++++++++
 .../flac/files/flac-1.3.2-dontbuild-examples.patch | 30 +++++++++
 media-libs/flac/flac-1.3.2.ebuild                  | 74 ++++++++++++++++++++++
 5 files changed, 152 insertions(+)

diff --git a/media-libs/flac/Manifest b/media-libs/flac/Manifest
index 50c1c0a..3487a9e 100644
--- a/media-libs/flac/Manifest
+++ b/media-libs/flac/Manifest
@@ -1 +1,2 @@
 DIST flac-1.3.1.tar.xz 941848 SHA256 
4773c0099dba767d963fd92143263be338c48702172e8754b9bc5103efe1c56c SHA512 
923cd0ffe2155636febf2b4633791bc83370d57080461b97ebb69ea21a4b1be7c0ff376c7fc8ca3979af4714e761112114a24b49ff6c80228b58b929db6e96d5
 WHIRLPOOL 
abda096c0c1392499a613cc99c917cd519a20936bb98390a466c971ee981385a0e249e80f0bdac27b1eb6566a3392c1a4cb6ff9a6695952f16127a0b290fa5d4
+DIST flac-1.3.2.tar.xz 776016 SHA256 
e48764f0761beb791a69590f12826fe8cf302c42db2879849c5d10bc7c85db66 SHA512 
b6dfc7e31dc1fad434ff751a9f4748354de242af94d56c93254245ddb740ffa19e56f32100c3723b601ba345156e927d61a80722126cc75ebe55092179427cac
 WHIRLPOOL 
3ba4be7f7dc91691f48e3d09ff92f79af8c7915e2f472f41802cc6f1686ab12bb91364c8119c10d85b6e5c5d706989dfcb4c95cb19f75fe4196c206502c76605

diff --git a/media-libs/flac/files/flac-1.3.2-asneeded.patch 
b/media-libs/flac/files/flac-1.3.2-asneeded.patch
new file mode 100644
index 00000000..e4a4af7
--- /dev/null
+++ b/media-libs/flac/files/flac-1.3.2-asneeded.patch
@@ -0,0 +1,21 @@
+--- flac-1.3.2/src/flac/Makefile.am
++++ flac-1.3.2/src/flac/Makefile.am
+@@ -60,7 +60,7 @@
+       
$(top_builddir)/src/share/replaygain_synthesis/libreplaygain_synthesis.la \
+       $(top_builddir)/src/libFLAC/libFLAC.la \
+       $(win_utf8_lib) \
+-      @LIBICONV@ \
++      @LTLIBICONV@ \
+       -lm
+ 
+ CLEANFILES = flac.exe
+--- flac-1.3.2/src/metaflac/Makefile.am
++++ flac-1.3.2/src/metaflac/Makefile.am
+@@ -55,6 +55,6 @@
+       $(top_builddir)/src/share/utf8/libutf8.la \
+       $(top_builddir)/src/libFLAC/libFLAC.la \
+       $(win_utf8_lib) \
+-      @LIBICONV@
++      @LTLIBICONV@
+ 
+ CLEANFILES = metaflac.exe

diff --git a/media-libs/flac/files/flac-1.3.2-cflags.patch 
b/media-libs/flac/files/flac-1.3.2-cflags.patch
new file mode 100644
index 00000000..fd1334d
--- /dev/null
+++ b/media-libs/flac/files/flac-1.3.2-cflags.patch
@@ -0,0 +1,26 @@
+--- flac-1.3.2/configure.ac
++++ flac-1.3.2/configure.ac
+@@ -384,14 +384,7 @@
+ AH_TEMPLATE(FLAC__HAS_NASM, [define if you are compiling for x86 and have the 
NASM assembler])
+ fi
+ 
+-if test "x$debug" = xtrue; then
+-      CPPFLAGS="-DDEBUG $CPPFLAGS"
+-      CFLAGS="-g $CFLAGS"
+-else
+-      CPPFLAGS="-DNDEBUG $CPPFLAGS"
+-      CFLAGS=$(echo "$CFLAGS" | sed 's/-O2//')
+-      CFLAGS="-O3 -funroll-loops $CFLAGS"
+-fi
++CPPFLAGS="-DDEBUG $CPPFLAGS"
+ 
+ XIPH_GCC_VERSION
+ 
+@@ -400,7 +393,6 @@
+       CXXFLAGS="$CXXFLAGS -Wall -Wextra -Wcast-align -Wshadow -Wwrite-strings 
-Wctor-dtor-privacy -Wnon-virtual-dtor -Wreorder -Wsign-promo -Wundef " # 
-Wcast-qual -Wbad-function-cast -Wwrite-strings -Woverloaded-virtual 
-Wmissing-declarations
+ 
+       XIPH_ADD_CFLAGS([-Wdeclaration-after-statement])
+-      XIPH_ADD_CFLAGS([-D_FORTIFY_SOURCE=2])
+ 
+       AC_LANG_PUSH([C++])
+       XIPH_ADD_CXXFLAGS([-Weffc++])

diff --git a/media-libs/flac/files/flac-1.3.2-dontbuild-examples.patch 
b/media-libs/flac/files/flac-1.3.2-dontbuild-examples.patch
new file mode 100644
index 00000000..c710993
--- /dev/null
+++ b/media-libs/flac/files/flac-1.3.2-dontbuild-examples.patch
@@ -0,0 +1,30 @@
+--- flac-1.3.2/configure.ac
++++ flac-1.3.2/configure.ac
+@@ -359,6 +359,12 @@
+ AC_SUBST(FLAC__HAS_OGG)
+ AC_SUBST(OGG_PACKAGE)
+ 
++dnl Build examples?
++AC_ARG_ENABLE(examples,
++      AS_HELP_STRING([--disable-examples], [Don't build examples during 
make]),,
++      enable_examples="yes")
++AM_CONDITIONAL(EXAMPLES, [test "$enable_examples" = "yes"])
++
+ dnl check for i18n(internationalization); these are from libiconv/gettext
+ AM_ICONV
+ AM_LANGINFO_CODESET
+--- flac-1.3.2/Makefile.am
++++ flac-1.3.2/Makefile.am
+@@ -31,7 +31,11 @@
+ 
+ ACLOCAL_AMFLAGS = -I m4
+ 
+-SUBDIRS = doc include m4 man src examples test build objs microbench
++SUBDIRS = doc include m4 man src test build objs microbench
++
++if EXAMPLES
++SUBDIRS += examples
++endif
+ 
+ EXTRA_DIST = \
+       COPYING.FDL \

diff --git a/media-libs/flac/flac-1.3.2.ebuild 
b/media-libs/flac/flac-1.3.2.ebuild
new file mode 100644
index 00000000..0e8a510
--- /dev/null
+++ b/media-libs/flac/flac-1.3.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="free lossless audio encoder and decoder"
+HOMEPAGE="http://flac.sourceforge.net";
+SRC_URI="http://downloads.xiph.org/releases/${PN}/${P}.tar.xz";
+
+LICENSE="BSD FDL-1.2 GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="altivec +cxx debug ogg cpu_flags_x86_sse static-libs"
+
+RDEPEND="ogg? ( >=media-libs/libogg-1.3.0[${MULTILIB_USEDEP}] )
+       abi_x86_32? (
+               !<=app-emulation/emul-linux-x86-soundlibs-20130224-r1
+               !app-emulation/emul-linux-x86-soundlibs[-abi_x86_32(-)]
+       )"
+DEPEND="${RDEPEND}
+       app-arch/xz-utils
+       abi_x86_32? ( dev-lang/nasm )
+       !elibc_uclibc? ( sys-devel/gettext )
+       virtual/pkgconfig"
+
+src_prepare() {
+       local PATCHES=(
+               "${FILESDIR}"/${PN}-1.3.2-cflags.patch
+               "${FILESDIR}"/${PN}-1.3.2-asneeded.patch
+               "${FILESDIR}"/${PN}-1.3.0-dontbuild-tests.patch
+               "${FILESDIR}"/${PN}-1.3.2-dontbuild-examples.patch
+       )
+
+       default
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+               --disable-doxygen-docs
+               --disable-examples
+               --disable-xmms-plugin
+               $([[ ${CHOST} == *-darwin* ]] && echo 
"--disable-asm-optimizations")
+               $(use_enable altivec)
+               $(use_enable cpu_flags_x86_sse sse)
+               $(use_enable cxx cpplibs)
+               $(use_enable debug)
+               $(use_enable ogg)
+
+               # cross-compile fix (bug #521446)
+               # no effect if ogg support is disabled
+               --with-ogg
+       )
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+       if [[ ${UID} != 0 ]]; then
+               emake -j1 check
+       else
+               ewarn "Tests will fail if ran as root, skipping."
+       fi
+}
+
+multilib_src_install_all() {
+       if ! use static-libs ; then
+               find "${ED}" \( -name "*.la" -o -name "*.a" \) -delete || die
+       fi
+}

Reply via email to